package epson.print.service;

import com.epson.iprint.apf.ApfEpImageAdapter;
import epson.print.EPImageList;
import epson.print.screen.PrintSetting;

public class LegacyRenderingController implements RenderingController {
    EPImageList mEpImageList;
    PrintService mEpsonService;
    PrintSetting.Kind mKind;

    public void interruptSubThreads() {
    }

    public void joinSubThread(long j) {
    }

    public void startDrawAfterStartJob(int i) {
    }

    public void waitPage(int i, int i2) throws Exception {
    }

    public LegacyRenderingController(PrintService printService, EPImageList ePImageList, PrintSetting.Kind kind) {
        this.mEpsonService = printService;
        this.mEpImageList = ePImageList;
        this.mKind = kind;
    }

    public void drawBeforeStartJob() throws LocalInterrupt {
        if (this.mEpImageList.apfModeInPrinting != 0 || this.mEpImageList.getSharpness() != 0) {
            EPImageList apfImageList = ApfEpImageAdapter.getApfImageList(this.mEpsonService.getLocalApplicationContext(), this.mEpImageList, this.mEpsonService);
            apfImageList.setRenderingMode(this.mEpImageList.getRenderingMode());
            if (this.mEpsonService.getCancelPrinting()) {
                throw new LocalInterrupt();
            } else if (apfImageList != null) {
                this.mEpImageList = apfImageList;
            } else {
                throw new IllegalStateException();
            }
        }
    }

    public EPImageList getImageList() {
        return this.mEpImageList;
    }

    public PrintSetting.Kind getKind() {
        return this.mKind;
    }
}
